# $Revision: 1.11 $, $Date: 2008/12/02 16:13:11 $
Summary:	Convert specified subversion XML logfile to GNU-style ChangeLog
Summary(pl.UTF-8):	Konwersja pliku loga XML z subversion do ChangeLoga w stylu GNU
Name:		svn2log
Version:	0.1
Release:	5
License:	BSD
Group:		Applications/Text
Source0:	http://nemerle.org/svn/nemerle/trunk/misc/%{name}.py
# Source0-md5:	3e27b3df04c5213811c82f42e27eb649
Patch0:		%{name}-xml.patch
Patch1:		%{name}-users-encoding.patch
Requires:	python-modules
Requires:	python-qp_xml
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert specified subversion xml logfile to GNU-style ChangeLog.

%description -l pl.UTF-8
Konwersja pliku loga XML z subversion do ChangeLoga w stylu GNU.

%prep
%setup -q -c -T
cp %{SOURCE0} %{name}
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: svn2log.spec,v $
Revision 1.11  2008/12/02 16:13:11  glen
- release 5

Revision 1.10  2008/12/02 16:12:51  glen
- R: python-modules for time module; rel 4;

Revision 1.9  2007/12/25 22:21:09  glen
- rel 3

Revision 1.8  2007-02-12 22:09:16  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.6  2006/12/14 17:14:43  glen
- add -users-encoding.patch for --users-charset argument

Revision 1.5  2006/12/14 16:38:26  glen
- rel 1

Revision 1.4  2006/06/04 00:10:46  qboosh
- pl

Revision 1.3  2006/05/28 20:39:05  glen
- better source0 (thx arekm)

Revision 1.2  2006/05/28 18:49:35  glen
- fix xml import

Revision 1.1  2006/05/28 18:34:06  glen
- new
